Search catalog items

The searchCatalogItems endpoint provides an alternative to the listCatalogItems operation for accessing the contents of the ICEYE public catalog, following the STAC API - Item Search specification. This endpoint supports the POST request method, as recommended in the specification, and enables an advanced query syntax based on the STAC API - Query Extension Specification.

Avoid caching item IDs for long periods. Catalog images are liable to be reprocessed from time to time, making the item IDs invalid.

For longer term storage, we recommend caching the corresponding frame ID (available from the properties.frame_id property of a STAC item).

Optional parameters

Paginated results

When a cursor property appears in the response, it indicates that more results are available. To access the next page of results, send a follow-up request with the cursor query parameter to the GET /catalog/v2/items endpoint (not the POST /catalog/v2/search endpoint).

The steps for accessing paginated results from a catalog search are, as follows:

  1. Search the catalog by invoking the POST /catalog/v2/search endpoint.

  2. If the number of search results exceeds the limit value, a cursor value is returned in the response.

  3. To get the remaining results, send a request to GET /catalog/v2/items with the given cursor value:

     curl -G "${API_BASE_URL}/api/catalog/v2/items" \
     --header "Accept: application/json, application/problem+json" \
     --header "Authorization: Bearer ${API_ACCESS_TOKEN}" \
     --data-urlencode "cursor=XXXXXXXXXX" \
     --data-urlencode "limit=20"
  4. Repeat sending requests to GET /catalog/v2/items with successive cursor values until all the results have been retrieved.

By default, up to 10 catalog items are returned in each response and this limit can be customized by setting the limit query parameter.

It is not possible to retrieve paginated results directly from the /catalog/v2/search endpoint.

Filtering by STAC metadata query

You can perform advanced filtering of results from the searchCatalogItems operation using the query attribute in the JSON request body (as defined by the STAC API - Query Extension Specification).

The query attribute is defined as a JSON Object, with the following syntax:

{
  "query": {
    "PROPERTY_NAME": {
      "OPERATOR": VALUE
    }
  }
}

Where PROPERTY_NAME is the name of a STAC item property, which gets filtered by one or more OPERATOR/VALUE pairs, using the following operators:

Operator Description

eq

Filter for property values equal to the specified VALUE (case insensitive for strings).

neq

Filter for property values not equal to the specified VALUE (case insensitive for strings).

lt

Filter for property values less than the specified VALUE.

lte

Filter for property values less than or equal to the specified VALUE.

gt

Filter for property values greater than the specified VALUE.

gte

Filter for property values greater than or equal to the specified VALUE.

startsWith

Filter for property values that start with the specified string VALUE (case insensitive for strings).

endsWith

Filter for property values end with the specified string VALUE (case insensitive for strings).

contains

Filter for property values that contain the specified VALUE as a substring (case insensitive).

in

Filter for property values listed in VALUE, where VALUE is specified as an array (case insensitive).

You can filter on the following properties in a metadata query (where this list can be expanded over time):

Property Type Description

frame_id

string

The frame ID of the frame associated with the product in this STAC item.

Note that the frame_id property can only be queried using the eq and neq query operators.

created

string

Creation date and time of the corresponding STAC entity or Asset, in UTC (specified in RFC 3339 date-time format).

updated

string

Date and time when the corresponding STAC entity or Asset was last updated, in UTC (specified in RFC 3339 date-time format).

start_datetime

string

The time when the satellite started to acquire the image (specified in RFC 3339 date-time format).

end_datetime

string

The time when the satellite finished acquiring the image (specified in RFC 3339 date-time format).

sar:instrument_mode

string

The instrument mode is the same value as iceye:processing_mode property value. We recommend using the iceye:processing_mode property for filtering instead of this property. See Processing mode.

sar:frequency_band

string

The common name for the frequency band that was used for image acquisition. Currently, all ICEYE satellites sensors use the X band.

sar:polarizations

[string]

An array of polarization combinations used for image acquisition. Currently, ICEYE satellites sensors acquire images using the VV polarization only.

sar:product_type

string

The product type of this STAC item. See Product types.

sar:looks_range

integer

Number of groups of signal samples (looks) perpendicular to the flight path.

sar:looks_azimuth

integer

Number of groups of signal samples (looks) parallel to the flight path.

sar:observation_direction

string

Antenna direction relative to the flight trajectory of the satellite (left or right).

sat:orbit_state

string

The state of the polar orbit at the time of acquisition (ascending or descending).

iceye:processing_mode

string

The processing mode used to process the acquired image. See Processing mode.

iceye:acquisition_mode

string

The acquisition mode used to acquire the image, which is closely related to the sar:instrument_mode property. See Processing mode.

iceye:azimuth_resolution

decimal

The 3dB resolution parallel to the flight path, in meters.

iceye:range_resolution_center

decimal

The 3dB resolution perpendicular to the flight path at the center of the image, in meters.

iceye:range_resolution_near

decimal

The 3dB resolution perpendicular to the flight path at the near edge of the image, in meters.

iceye:range_resolution_far

decimal

The 3dB resolution perpendicular to the flight path at the far edge of the image, in meters.

iceye:incidence_center

decimal

The angle between the vertical (normal) to the intercepting surface and the line of sight back to the satellite at the scene center (in degrees 0-90). Same as view:incidence_angle.

iceye:incidence_near

decimal

The angle between the vertical (normal) to the intercepting surface and the line of sight back to the satellite at the near edge of the scene (in degrees 0-90).

iceye:incidence_far

decimal

The angle between the vertical (normal) to the intercepting surface and the line of sight back to the satellite at the far edge of the scene (in degrees 0-90).

iceye:satellite_look_angle

decimal

The look angle at the time of image acquisition.

iceye:chirp_bandwidth

decimal

Bandwidth used for radar pulse (Hz).

iceye:data_orientation

string

The orientation of the quicklook image (native, shadows_down). Default is native, which is north up.

imageReference

string

UUID value that uniquely identifies a single result of a task.

Processing mode

The processing mode describes the processing configurations based on the physical configuration of the satellite and the sensor that was used to acquire the image. The acquisition mode, on the other hand, describes only the configuration of the satellite and thus cannot differentiate between all of the imaging modes. The correspondence between the iceye:processing_mode, iceye:acquisition_mode property values, and the imaging modes is shown in this table.

Processing mode Acquisition mode Imaging mode

SM

strip, stripmap

STRIPMAP

'SC'

scan

SCAN

SCW

scan

SCAN_WIDE

SL, SLH

spot, spotlight

SPOTLIGHT

SLF

spot, spotlight, spotlight fine

SPOTLIGHT_FINE

SLEA

spot, spotlight, spotlight extended area

SPOTLIGHT_EXTENDED_AREA

SLED

spot, spotlight, dwell

SPOTLIGHT_EXTENDED_DWELL

SLEDF

spot, spotlight, 'dwell fine'

SPOTLIGHT_EXTENDED_DWELL_FINE

SLEDP

dwell precise

SPOTLIGHT_EXTENDED_DWELL_PRECISE

Example

Enter the following curl command, remembering to replace the ${VARNAME} variables with the appropriate values:

curl --location "${API_BASE_URL}/api/catalog/v2/search" \
--header "Content-Type: application/json" \
--header "Accept: application/json, application/problem+json" \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}" \
--data '{
  "query": {
    "start_datetime": {
      "gte": "2021-02-12T00:00:00Z",
      "lte": "2021-03-18T12:31:12Z"
    },
    "sat:orbit_state": {
      "startsWith": "asc"
    },
    "sar:product_type": {
      "in": [
        "SLC",
        "GRD"
      ]
    },
    "iceye:processing_mode": {
      "in": [
        "SC"
      ]
    }
  }
}'

Filtering by ID

If you already have the IDs for some catalog items (for example, IDs from a previous query), you can request those specific items by setting the ids query parameter to a comma-separated list of IDs.

Enter the following curl command, remembering to replace the ${VARNAME} variables with the appropriate values:

curl --location "${API_BASE_URL}/api/catalog/v2/search" \
--header "Content-Type: application/json" \
--header "Accept: application/json, application/problem+json" \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}" \
--data '{
  "ids": [
    "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
    "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX"
  ]
}'

Filtering by bounding box

A bounding box is a standard way of specifying a geospatial coordinate range, as defined in GeoJSON RFC 7946. When you query the catalog, you can specify a bounding box to filter the results. Only those GeoJSON features that have a geometry intersecting the bounding box will then be returned in the response.

The bounding box is provided as four or six numbers, depending on whether the coordinate reference system includes a vertical axis (height or depth):

  • South-west corner, longitude

  • South-west corner, latitude

  • Minimum value, elevation (optional)

  • North-east corner, longitude

  • North-east corner, latitude

  • Maximum value, elevation (optional)

The coordinate reference system of the values is WGS 84 longitude/latitude.

In most cases, the values in a bounding box are specified in the order: minimum longitude, minimum latitude, maximum longitude, maximum latitude. However, in cases where the box spans the antimeridian, the first value (west-most box edge) is larger than the third value (east-most box edge).

If the vertical axis (elevation) is included, the third and the sixth numbers are the bottom and the top of the 3-dimensional bounding box.

If a GeoJSON feature has multiple spatial geometry properties, it is the decision of the server whether only a single spatial geometry property is used to determine the extent or all relevant geometries.

For example, the bounding box of the New Zealand Exclusive Economic Zone in WGS 84 coordinates (from 160.6°E to 170°W and from 55.95°S to 25.89°S) would be represented in JSON as [160.6, -55.95, -170, -25.89] and in a query parameter as bbox=160.6,-55.95,-170,-25.89.

Enter the following curl command, remembering to replace the ${VARNAME} variables with the appropriate values:

curl --location "${API_BASE_URL}/api/catalog/v2/search" \
--header "Content-Type: application/json" \
--header "Accept: application/json, application/problem+json" \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}" \
--data '{
  "bbox": [
    -5,
    28,
    56,
    44
  ]
}'

Filtering by GeoJSON intersects

When you query the catalog, you can use the intersects parameter to specify a GeoJSON geometry that filters the results. Only those GeoJSON features that have a geometry intersecting the specified GeoJSON geometry will then be returned in the response.

Only the Polygon geometry type is currently supported. In particular, the Point, LineString, MultiPoint, MultiLineString, and MultiPolygon geometry types are not supported. The GeometryCollection (used to specify multiple geometric objects) is also not supported.

For example, to filter by intersection with a polygon geometry, you can add the following JSON content to the request body:

{
    "intersects": {
        "type": "Polygon",
        "coordinates": [
            [
                [100.0, 0.0],
                [101.0, 0.0],
                [101.0, 1.0],
                [100.0, 1.0],
                [100.0, 0.0]
            ]
        ]
    }
}

Polygon coordinates are specified with the following syntax:

  1. The coordinates field consts of an array of linear rings. Currently, you can specify only a single linear ring, representing the exterior boundary of the geometry.

  2. A linear ring consists of an array of four or more points (representing the vertices of a polygon). The coordinates of the last point must be exactly equal to the coordinates of the first point (closing the boundary of the polygon geometry).

  3. Each point in the linear ring is specified using WGS 84 longitude/latitude coordinates.

When filtering with a geometry that crosses the antimeridian, GeoJSON RFC 7946 recommends that you cut the geometry into two parts, such that neither part crosses the antimeridian.

Filtering by date-time range

When you query the catalog, you can specify a date-time range to filter the results. Only those GeoJSON features with a temporal property that intersects the specified date-time range will be returned in the response.

Date and time (date-time) expressions follow RFC 3339.

A date-time range can be specified in any of the following formats (using / to indicate an interval and .. to indicate an open range):

Date-time range Description

2018-02-12T23:20:50Z

A specific date-time

2018-02-12T00:00:00Z/2018-03-18T12:31:12Z

A closed interval

2018-02-12T00:00:00Z/..

An open interval, with open end time

../2018-03-18T12:31:12Z

An open interval, with open start time

Enter the following curl command, remembering to replace the ${VARNAME} variables with the appropriate values:

curl --location "${API_BASE_URL}/api/catalog/v2/search" \
--header "Content-Type: application/json" \
--header "Accept: application/json, application/problem+json" \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}" \
--data '{
  "datetime": "2021-02-12T00:00:00Z/2021-03-18T12:31:12Z"
}'

Filtering by collection

You can filter for search results in a specific collection (or in multiple collections) by specifying:

  • The collections parameter, containing the list of collections to search, and

  • The contractID parameter, to validate the specified collections list against the contract’s allowed collections.

The following collections are generally available for filtering:

Collection Description

public

Includes all of the items in the public catalog, which you can browse and purchase.

private

Includes the images you have tasked and the frames you have purchased.

The following table shows some typical filter settings for the collections parameter:

Filter setting Scope of search

collections=public,private

Includes all of the STAC items from the public catalog, and the images you have tasked or purchased from the catalog. The response message includes only low-resolution products (for example, thumbnail images).

collections=private

Includes only the images you have tasked or purchased from the catalog. In the special case where you specify only the private collection, the response message includes all products, including high-resolution products, for each item.

If the collections and contractID parameters are not specified, the search scope includes the public collection.

Use getContract or listContracts to obtain the list of allowed collections for your contract. The private collection is generated dynamically and is therefore not listed explicitly in catalog_collections.allowed.

Enter the following curl command, remembering to replace the ${VARNAME} variables with the appropriate values:

curl --location "${API_BASE_URL}/api/catalog/v2/search" \
--header "Content-Type: application/json" \
--header "Accept: application/json, application/problem+json" \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}" \
--data '{
  "collections": [
    "public",
    "private"
  ],
  "contractID": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXX",
}'

Sorting results

You can sort the results returned by the searchCatalogItems operation by specifying the sortby attribute in the JSON request body (as defined by the STAC API - Sort Extension Specification). The sortby attribute is specified as an array of sorting conditions, with the following syntax:

{
  "sortby": [
    {
      "field": "PROPERTY_NAME",
      "direction": "DIRECTION"
    }
  ]
}'

Where PROPERTY_NAME is the name of a STAC item property and DIRECTION can either be asc (for ascending order) or desc (for descending order).

Enter the following curl command, remembering to replace the ${VARNAME} variables with the appropriate values:

curl --location "${API_BASE_URL}/api/catalog/v2/search" \
--header "Content-Type: application/json" \
--header "Accept: application/json, application/problem+json" \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}" \
--data '{
  "bbox": [
    -5,
    28,
    56,
    44
  ],
  "datetime": "2021-02-12T00:00:00Z/2021-03-18T12:31:12Z",
  "sortby": [
    {
      "field": "properties.product_type",
      "direction": "asc"
    },
    {
      "field": "id",
      "direction": "desc"
    }
  ]
}'

Thumbnail assets

Thumbnail assets are provided in returned STAC Items to enable a client to preview the images as you are browsing the catalog. A thumbnail asset typically includes the following properties (following the Assets type from the STAC specification):

Property Description

href

Specifies the URI location of the asset (thumbnail or metadata).

title

Title of the asset, as displayed to the user.

type

Media type of the asset (following the IANA Media Types standard). For example, image/png, application/json.

roles

An array that specifies the semantic roles of the asset (thumbnail or metadata).

coordinates

An object providing the coordinates for the rectangular outline of the thumbnail image.

coordinates.top_left

An array of longitude, latitude coordinates for the top left corner of the thumbnail image, specified in WGS 84 coordinates.

coordinates.top_right

An array of longitude, latitude coordinates for the top right corner of the thumbnail image, specified in WGS 84 coordinates.

coordinates.bottom_left

An array of longitude, latitude coordinates for the bottom left corner of the thumbnail image, specified in WGS 84 coordinates.

coordinates.bottom_right

An array of longitude, latitude coordinates for the bottom right corner of the thumbnail image, specified in WGS 84 coordinates.

For example:

"thumbnail-png": {
    "href": "https://XXXXXXXXXXXX.cloudfront.net/XXXX/XXXX",
    "title": "Thumbnail png file",
    "type": "image/png",
    "roles": [
        "thumbnail"
    ],
    "coordinates": {
        "top_left": [ 24.88545, 60.21952 ],
        "top_right": [ 24.98545, 60.21952 ],
        "bottom_left": [ 24.88545, 60.11952 ],
        "bottom_right": [ 24.98545, 60.11952 ]
    }
}

Example

Request

Enter the following curl command, remembering to replace the ${VARNAME} variables with the appropriate values:

curl --location "${API_BASE_URL}/api/catalog/v2/search" \
--header "Content-Type: application/json" \
--header "Accept: application/json, application/problem+json" \
--header "Authorization: Bearer ${API_ACCESS_TOKEN}" \
--data '{
  "bbox": [
    -5,
    28,
    56,
    44
  ],
  "datetime": "2021-02-12T00:00:00Z/2021-03-18T12:31:12Z",
  "ids": [],
  "limit": 10,
  "query": {
    "start_datetime": {
      "gte": "2021-02-12T00:00:00Z",
      "lte": "2021-03-18T12:31:12Z"
    },
    "orbit_state": {
      "startsWith": "asc"
    },
    "product_type": {
      "in": [
        "SLC",
        "GRD"
      ]
    }
  },
  "sortby": [
    {
      "field": "properties.product_type",
      "direction": "asc"
    },
    {
      "field": "id",
      "direction": "desc"
    }
  ]
}'

Response

On success, returns a 200 status code and a JSON object containing an array of catalog items.

Open code example
{
    "cursor": "_7l_AwEBEkNhdGFsb2dTZWFyY2hRdWVyeQH_gAABCwEEQkJveAH_ggABCERhdGV0aW1lAf-EAAEFTGltaXQBBAABA0lEcwH_iAABC0NvbGxlY3Rpb25zAf-IAAEGRmllbGRzAf-KAAEFUXVlcnkB_44AAQZTb3J0YnkB_5IAAQpJbnRlcnNlY3RzAf-UAAEQUGFpckZpbmRlckZpZWxkcwECAAEQUGFnaW5hdGlvblBhcmFtcwH_iAAAABf_gQIBAQlbXWZsb2F0NjQB_4IAAQgAAET_gwMBAQ1EYXRldGltZVJhbmdlAf-EAAEDAQVQb2ludAH_hgABClJhbmdlU3RhcnQB_4YAAQhSYW5nZUVuZAH_hgAAAAr_hQUBAv-WAAAAFv-HAgEBCFtdc3RyaW5nAf-IAAEMAAAu_4kDAQEGRmllbGRzAf-KAAECAQdFeGNsdWRlAf-IAAEHSW5jbHVkZQH_iAAAACD_jQQBAQ9NZXRhZGF0YUZpbHRlcnMB_44AAQwB_4wAAA7_iwQBAv-MAAEMARAAAB3_kQIBAQ5bXW1vZGVsLlNvcnRCeQH_kgAB_5AAACz_jwMBAQZTb3J0QnkB_5AAAQIBBUZpZWxkAQwAAQlEaXJlY3Rpb24BDAAAADH_kwMBAQpJbnRlcnNlY3RzAf-UAAECAQRUeXBlAQwAAQtDb29yZGluYXRlcwEKAAAAeP-AAxQCASQzMzUzZTVlZi1lZGNmLTQxZTAtOTQ0MC1kYzI3MzJlOGM3YWUGAiQzMzUzZTVlZi1lZGNmLTQxZTAtOTQ0MC1kYzI3MzJlOGM3YWUkZmZlZDQyNDMtZjQwZC01M2M5LTlmNmMtNWEyNGEwYjcxNGE5AA",
    "data": [
        {
            "assets": {
                "thumbnail-json": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds69117.apparently-blessed-molly-pel5r7.results/frame_1/ICEYE_X7_THUMBNAIL_SM_69117_20210714T232339.json?Expires=1733325760&Signature=anvx~PkZJtKoOq9wIPXykhlMbIvmo78Cxsj2bx7JFvr6bFhXrpxJhQyPQFf7~LIpN4s6~ENmUaHK8Wqo1cSVp20rHXxj9LG-qndRMSMUheAHU34L1JJA5JBQDZPOYjr3yvWoCj-QX~0wlYfF8UwToyF46YRj8NetT7nCJjdDMv-iOAiS5shBzTeelADClQJo0b7KyqcfPMqi9svZCvJrDHFONX-fqB3p0UYBXSasFPbXPQijFWHv8shRbnEEMba4WXAp1hbBEbtKCeOPNokif9dqvGgptHpMBUytix-CT-DfcxtH7cObLDfCHT-eQa4SqaHb6-ZuzJA82CiFqpKlTQ__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail json file",
                    "type": "application/json",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-kml": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds69117.apparently-blessed-molly-pel5r7.results/frame_1/ICEYE_X7_THUMBNAIL_SM_69117_20210714T232339.kml?Expires=1733325760&Signature=b1b99JYFJIHGgQKf8KzmczfP6K~ab4Y7HChM-izA0oAQb6AvIVJA50gba1IkvMNywHLU-qE~Gpe6v8VbU75fJsN81lHen-zXhNZgBwOsk~AfTIx1AoSYSVMDkuh13qhtIZpdnDE84-FtyuEr315OO-nXb8y~Pt3OYleXyyT-7umfgNyy4rNM5nqjpA~sKpE1yDSKrOtFpvhJQe9wTvm-1IjoEgBPoQyvXaLdn3X8K7v6-VIhCvdvJPDXg0RM2k-brgbEs2S4xjt9IEfmph2UiA8mvD12mwxN~lzsZLe5NeYzFMJazWe7jjW4gLlO8VwoqNnTnlf2f9emqMXn6JSNeQ__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail metadata file",
                    "type": "application/vnd.google-earth.kml+xml",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-png": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds69117.apparently-blessed-molly-pel5r7.results/frame_1/ICEYE_X7_THUMBNAIL_SM_69117_20210714T232339.png?Expires=1733325760&Signature=UqGxsJatGtqZDiRcG-5ewXtodQDUBxOBCIPa5hnsQ5UnAsjJjrLc1ooJeWTTZJN3fwC6JSoSpYUrX0A75YEsxsFDu07w8ErELgEMcqfgLN~XixwJNeUk~ITlhBG1XrMWLv3qR-8ESDdsgxlNWCGGA5be6TXsBpnnUnOTzmilqL8rN7zCpwUo5~n-j2jHhjmEh-qyc1kjLmGD0arGSfu1xww1uMlD9KZWXvMXJ3oBAdLIdlNsKr1Di6fvCPdu-P0d3S7u5ZcNn1mPyrw28oVR2DUnAhrsi30LjfmvUtBOj0xZQnwgHhmfBfkeTBD3o8s9DhyfT4YPZNzPj0fvz0Owhg__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail png file",
                    "type": "image/png",
                    "roles": [
                        "thumbnail"
                    ],
                    "coordinates": {
                        "top_left": [ 24.88545, 60.21952 ],
                        "top_right": [ 24.98545, 60.21952 ],
                        "bottom_left": [ 24.88545, 60.11952 ],
                        "bottom_right": [ 24.98545, 60.11952 ]
                    }
                }
            },
            "bbox": [
                26.333643,
                0.22470793,
                26.853765,
                0.8929189
            ],
            "collection": "",
            "geometry": {
                "coordinates": [
                    [
                        [
                            26.333643,
                            0.30664015
                        ],
                        [
                            26.735777,
                            0.22470793
                        ],
                        [
                            26.853765,
                            0.81176335
                        ],
                        [
                            26.4546,
                            0.8929189
                        ],
                        [
                            26.333643,
                            0.30664015
                        ]
                    ]
                ],
                "type": "Polygon"
            },
            "id": "fff5f8e4-9911-59fd-b793-9f42b099bf2f",
            "properties": {
                "created": "2022-07-05T00:19:11Z",
                "end_datetime": "2021-07-14T23:23:49.746399Z",
                "frame_id": "69117_1",
                "iceye:acquisition_mode": "stripmap",
                "iceye:azimuth_resolution": 0,
                "iceye:chirp_bandwidth": 60000000,
                "iceye:data_orientation": "native",
                "iceye:incidence_center": 0,
                "iceye:incidence_far": 0,
                "iceye:incidence_near": 0,
                "iceye:range_resolution_center": 0,
                "iceye:range_resolution_far": 0,
                "iceye:range_resolution_near": 0,
                "iceye:satellite_look_angle": 23.1,
                "iceye:processing_mode": "SM",
                "sar:frequency_band": "X",
                "sar:looks_azimuth": 1,
                "sar:looks_range": 1,
                "sar:observation_direction": "right",
                "sar:polarizations": [
                    "VV"
                ],
                "sar:product_type": "GRD",
                "sat:orbit_state": "descending",
                "start_datetime": "2021-07-14T23:23:39.750121Z",
                "updated": "2022-07-05T00:19:11Z"
            },
            "stac_version": "1.0.0-beta.1",
            "type": "Feature"
        },
        {
            "assets": {
                "thumbnail-json": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds69117.qa-auto-ci-processing-request-run-WB8DMS-ibnpwf.results/frame_1/ICEYE_X7_THUMBNAIL_SM_69117_20210714T232339.json?Expires=1733325760&Signature=huuSXrtA1JAEQ5HXGUTXKUI5DGiw6QVHgO1pjXzrNlKso4~RKfGFTVlhYLVRcHgLDHGcLvgWbh7iOa0Jsr~BUp1O-Z5WchA6TyNVo1UvPZ3SPdZjvrD5jM9cMqNRwwwQqVgLaJJE8FFBLaDBHimy1QFaYhnY3sNKEy3KJ8uhFYmjXk6q3kjYlQTaIRkRtywRRK1JwHt8N~vXtDF5WqeoplDZjA7Anqw1P6Md~VIg2zak71ilqCAhNGCW69YFKCLXm951FPjXS4UvHusLb~j~azL2PKra8PvgnPuMKfQHl0sU77q4n7I8NRWp-AZ-n2GFDLPcn1gPyKN3b9ystu7KNw__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail json file",
                    "type": "application/json",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-kml": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds69117.qa-auto-ci-processing-request-run-WB8DMS-ibnpwf.results/frame_1/ICEYE_X7_THUMBNAIL_SM_69117_20210714T232339.kml?Expires=1733325760&Signature=X92ESrXztZLsENPycevKksKeiTM2TpxkbZOWoYSLZYHrZJhehy84v0WXm5zQTqfJBPVcZ5SxOlLa34HCec9yfMhuYq3ePnnB-WfL2urTzmqxC5TzSkwecUz~tZI2k2ZOxS1CgP7kbm-0UQSmIjFr4UyKWIBuLXUvQEbBqsPT9gdjFg6bFwAQEHJikb9j~rcvbTIo21oBMt2-3xZKDY4lS9T3D835c9VsWDWFP--Q-MMdOUjea~B1UZgkyDdEamB62eqRDdN8mDchtjuNytJrvFXIl~oDNlhbXT0FcxQA5F9NQveFMzpoM11BYhIgPpI1nCRNufwm0B2MSTEFW2e49A__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail metadata file",
                    "type": "application/vnd.google-earth.kml+xml",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-png": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds69117.qa-auto-ci-processing-request-run-WB8DMS-ibnpwf.results/frame_1/ICEYE_X7_THUMBNAIL_SM_69117_20210714T232339.png?Expires=1733325760&Signature=POhMDk8sewKTmSvUaFwurpn3yXO-fKO4wUVXJ6-os~b1CvgDcdw27ngL6jlnTEjKuP5VaoX6PVh6jF5Egqys7IoO4UXQFlGWQ27HgDRuqJHmA3IczI8GCBJ6~YULKVFUJSQPOc~eBQlrIMiVPT471UpS5AhczKesDTY2BJDo8Zf7m4U35h7R3oxK8rwc7myXrxdX1ZVhe8f63F1YuzsVTaqJNs7xA-0pZd9TlRzbxRkl1EB7sRRtzlhfxYg6Tj21GbvH6ZDiYBZ18KHJ3HREe6JOQS4nSwHN9ZeY5LzL30ttqVF~WK7XIdN6ZrU4iQU3ODqy0RR72Vm5s3aCaPYajQ__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail png file",
                    "type": "image/png",
                    "roles": [
                        "thumbnail"
                    ],
                    "coordinates": {
                        "top_left": [ 24.88545, 60.21952 ],
                        "top_right": [ 24.98545, 60.21952 ],
                        "bottom_left": [ 24.88545, 60.11952 ],
                        "bottom_right": [ 24.98545, 60.11952 ]
                    }
                }
            },
            "bbox": [
                26.331686,
                0.21476969,
                26.852476,
                0.88308007
            ],
            "collection": "",
            "geometry": {
                "coordinates": [
                    [
                        [
                            26.331686,
                            0.296873
                        ],
                        [
                            26.73464,
                            0.21476969
                        ],
                        [
                            26.852476,
                            0.80193895
                        ],
                        [
                            26.453398,
                            0.88308007
                        ],
                        [
                            26.331686,
                            0.296873
                        ]
                    ]
                ],
                "type": "Polygon"
            },
            "id": "fffaa489-ca5b-5c9a-ac13-0b2c54cea926",
            "properties": {
                "created": "2022-11-12T00:20:06.9Z",
                "end_datetime": "2021-07-14T23:23:49.746399Z",
                "frame_id": "69117_1",
                "iceye:acquisition_mode": "stripmap",
                "iceye:azimuth_resolution": 2.65,
                "iceye:chirp_bandwidth": 60000000,
                "iceye:data_orientation": "native",
                "iceye:incidence_center": 25.37034,
                "iceye:incidence_far": 27.325665,
                "iceye:incidence_near": 23.197313,
                "iceye:range_resolution_center": 5.83,
                "iceye:range_resolution_far": 5.44,
                "iceye:range_resolution_near": 6.34,
                "iceye:satellite_look_angle": 23.1,
                "iceye:processing_mode": "SM",
                "sar:frequency_band": "X",
                "sar:looks_azimuth": 1,
                "sar:looks_range": 1,
                "sar:observation_direction": "right",
                "sar:polarizations": [
                    "VV"
                ],
                "sar:product_type": "SLC",
                "sat:orbit_state": "descending",
                "start_datetime": "2021-07-14T23:23:39.750121Z",
                "updated": "2022-11-12T00:20:06.9Z"
            },
            "stac_version": "1.0.0-beta.1",
            "type": "Feature"
        },
        {
            "assets": {
                "thumbnail-json": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds1907203.default.results/frame_2/ICEYE_X13_THUMBNAIL_SM_1907203_20230222T035528.json?Expires=1733325760&Signature=ekntxVtIuZu5GBvBfKa2ScgqSys~ovpFv8vFOHtiU055UZ8A5QF6XaeURyvGHdt2gHe8nvdS0ssnsCJ7RVZojmqW6zLh1iFMPiRTSfFX~-of52mnstM6CgywTUsMrW~4qfochxlTki-t8bZWKpwvBTI-zDeK99RokC1oioiRHNpjcEIXv1uvG3ed9Rb7UAZokiBqlCIIftYtquO1t2LOs~noTcoG8qE8GyzNQsbVKn~HQXYXGm07TXTwwQ7iHEHvxiKSidIKkqGTy~1KjnqBeKro8QjHS-19COm5AJKmGtHGJ0fwTpg6XX~4L9SVm~8VXUGmGhXAyZPXldY4P6VePw__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail json file",
                    "type": "application/json",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-kml": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds1907203.default.results/frame_2/ICEYE_X13_THUMBNAIL_SM_1907203_20230222T035528.kml?Expires=1733325760&Signature=E5ih0e3cvi0VzHH7tGuw~6Isf4MxrRFLtCb7rAl89F6VkeruTCvIiGhJVHVUvKw-mlu6~ZvGZT6PkYhxRqERoA~9~6J22ShAlYxoS1h0PmS7GW2KmEkXN7UpLGhDoIn7Z-rcv2ShOcNNDvt3iIRvoUGX3AtM3Ml8VM~7JEz3FM8DpPyLK5sO~m6~Q25ZqdhPYGjttkoiLfyu3fmUUiqdmlzF9nKLYlJojkxb6hZT4rTAIs~FZV0PLMrrkIkUWAc9k0P5uzaTwjSyAUEsCMsKC94HRdJ08kteJ-9e5AbV3FPVJKF74qaX8NKRY~RO5-JWLKxuen9K66KMbYp-Ul6LlA__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail metadata file",
                    "type": "application/vnd.google-earth.kml+xml",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-png": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds1907203.default.results/frame_2/ICEYE_X13_THUMBNAIL_SM_1907203_20230222T035528.png?Expires=1733325760&Signature=I3VyPzCEY-XyJh3eZulOJIQMo11AKBzOj~SPNyHjGFkEvkMTPGZxzm5FNdMEpB0v7OUL~PvRjMW212-f8IetBHIxPE6aXbXcGPDPQQS0uGSLFOUOnhRK9DIAv6j9F74RF3F2W3Y7In5vIR9qAkt9vohDdLpfY8ka6VS3ert2QkGWKtYLRDnvb1J-ReSiLGSAp-HVR~XNxDeDlGugx1tqUJKIHud~j4-cVMImJREz-~Nf1jJ~9gAPEBRdTyJPLK6riBzAYIakYnKjgVqKsH8tZcbjG40~Nq2U3ruUHcFy0aQhNMF2c2sPoP711JIOBeYNM9kkAFMzGzb7aCn7L3Pdvg__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail png file",
                    "type": "image/png",
                    "roles": [
                        "thumbnail"
                    ],
                    "coordinates": {
                        "top_left": [ 24.88545, 60.21952 ],
                        "top_right": [ 24.98545, 60.21952 ],
                        "bottom_left": [ 24.88545, 60.11952 ],
                        "bottom_right": [ 24.98545, 60.11952 ]
                    }
                }
            },
            "bbox": [
                150.86278,
                -33.768745,
                151.46161,
                -33.043518
            ],
            "collection": "",
            "geometry": {
                "coordinates": [
                    [
                        [
                            150.86278,
                            -33.697357
                        ],
                        [
                            151.30753,
                            -33.768745
                        ],
                        [
                            151.46161,
                            -33.11391
                        ],
                        [
                            151.02577,
                            -33.043518
                        ],
                        [
                            150.86278,
                            -33.697357
                        ]
                    ]
                ],
                "type": "Polygon"
            },
            "id": "fffe213d-fba7-5bce-8b30-9d223c7e370a",
            "properties": {
                "created": "2023-02-22T08:13:50.867Z",
                "end_datetime": "2023-02-22T03:55:39.461076Z",
                "frame_id": "1907203_2",
                "iceye:acquisition_mode": "stripmap",
                "iceye:azimuth_resolution": 2.47,
                "iceye:chirp_bandwidth": 156000000,
                "iceye:data_orientation": "native",
                "iceye:incidence_center": 24.794355,
                "iceye:incidence_far": 26.740395,
                "iceye:incidence_near": 22.629406,
                "iceye:range_resolution_center": 2.29,
                "iceye:range_resolution_far": 2.13,
                "iceye:range_resolution_near": 2.49,
                "iceye:satellite_look_angle": 22.71,
                "iceye:processing_mode": "SM",
                "sar:frequency_band": "X",
                "sar:looks_azimuth": 1,
                "sar:looks_range": 1,
                "sar:observation_direction": "left",
                "sar:polarizations": [
                    "VV"
                ],
                "sar:product_type": "SLC",
                "sat:orbit_state": "descending",
                "start_datetime": "2023-02-22T03:55:28.430941Z",
                "updated": "2023-02-22T08:13:50.867Z"
            },
            "stac_version": "1.0.0-beta.1",
            "type": "Feature"
        },
        {
            "assets": {
                "thumbnail-json": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds25055.rma30k_grd_af.results/frame_1/ICEYE_X2_THUMBNAIL_SL_25055_20200325T165728.json?Expires=1733325760&Signature=S5MhZ6v1dlpMj0WVU0nMitFCWLrW8tMXQnbRt5B72DiZiva8uZIugr~qIiKAeo6Y87FCzxk3YDZ9i~CGFH3rk9oeGPfU2fWLzx5smyh-eTpNKDkd7OJZPn1KkXtYdhxIxnaxMpgDv03mUQ72sqkhHuEehEu-rG34azE5d6njIKhcyoHfzMbLcv3Q24Lk8tbrA1Snf1lSja5-SacTGg0to-Vt3RM7AAU0Tws0wSWDs6C3szxOCFeqommeGMOCiQx3NxJ3sAbx4VwSIfh2Y-9Vtq-RuTja~9cpK0YczJZ78R5Mfi5gzWKl6DfOmEyImJOA1tHvzjZuEpShtZ~03OrH7Q__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail json file",
                    "type": "application/json",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-kml": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds25055.rma30k_grd_af.results/frame_1/ICEYE_X2_THUMBNAIL_SL_25055_20200325T165728.kml?Expires=1733325760&Signature=ZhfvzY~RxFqPAc8EOscIGOf6rTMLFc7IeqkshRU7G2wxu-to~YXaRQ7ofxEA~jtujqhV1Oy0R~MWaO~YeZzxzrlPKNN0OqTZXSQ2sBwC5-YN5iOvEJRWjaEGgVI-gP7Ef-df2AWu1KNgQJCqfgLqCkHbBrg9qH9sYtpH7N8p8BaHAAIqTyDV9l69763EC4OiK3fKJXvCl8m8Pvn0vHGQwMvPFj3vDfEHvPhHKuWOe1ZI-V~Egsc2aQ4P3~votF-zrnhqOgTRAo1nGg1AWAp-8p~3Vszj~TBsKslZQeoyvm5WXGWr92I5i7Zw9Kc6S-HWZQeOkRGBsz0L2NS1rIuxaA__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail metadata file",
                    "type": "application/vnd.google-earth.kml+xml",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-png": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds25055.rma30k_grd_af.results/frame_1/ICEYE_X2_THUMBNAIL_SL_25055_20200325T165728.png?Expires=1733325760&Signature=ddcGUgCNBOhbxpQdqD3ulcqkBmXiCNvR11EwQ4VFBZvkggH1akBMVDetk2ZlAcWTh1myuA59tkV7n1iY3if7fYbz7KA1JzgrWknIyERiTZRdohvNEH8sQSQVnWQogwaeLP~8AjULJ1InoJj3TGEr1oW6lAZMCOYbyopRHOOWMqZYslyVgDLx45Ucv8dIkeek7GIT5iV3BghhmJJcPmzjf1PV50AcOg321WJ8ZNPMUDLdqj-39PoM3bvM6hmDRPK9~xAopvTJ7EQyfvfp0jiPmTDMvJmLfdNmZkUXQMbjvlAeVwB84eQqDTxTLFOCik8lFwTqfgDQ00vEzyqb4~GVOA__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail png file",
                    "type": "image/png",
                    "roles": [
                        "thumbnail"
                    ],
                    "coordinates": {
                        "top_left": [ 24.88545, 60.21952 ],
                        "top_right": [ 24.98545, 60.21952 ],
                        "bottom_left": [ 24.88545, 60.11952 ],
                        "bottom_right": [ 24.98545, 60.11952 ]
                    }
                }
            },
            "bbox": [
                -87.939026,
                41.95659,
                -87.8531,
                42.01816
            ],
            "collection": "",
            "geometry": {
                "coordinates": [
                    [
                        [
                            -87.939026,
                            41.9712
                        ],
                        [
                            -87.8712,
                            41.95659
                        ],
                        [
                            -87.8531,
                            42.00353
                        ],
                        [
                            -87.92105,
                            42.01816
                        ],
                        [
                            -87.939026,
                            41.9712
                        ]
                    ]
                ],
                "type": "Polygon"
            },
            "id": "fffd264c-c40b-5e16-af17-d48abb64d7e3",
            "properties": {
                "created": "2020-05-19T09:45:12Z",
                "end_datetime": "2020-03-25T16:57:33.761733Z",
                "frame_id": "25055_1",
                "iceye:acquisition_mode": "spotlight",
                "iceye:azimuth_resolution": 0,
                "iceye:chirp_bandwidth": 300000000,
                "iceye:data_orientation": "native",
                "iceye:incidence_center": 0,
                "iceye:incidence_far": 0,
                "iceye:incidence_near": 0,
                "iceye:range_resolution_center": 0,
                "iceye:range_resolution_far": 0,
                "iceye:range_resolution_near": 0,
                "iceye:satellite_look_angle": 31.55,
                "iceye:processing_mode": "SL",
                "sar:frequency_band": "X",
                "sar:looks_azimuth": 1,
                "sar:looks_range": 1,
                "sar:observation_direction": "left",
                "sar:polarizations": [
                    "VV"
                ],
                "sar:product_type": "SLC",
                "sat:orbit_state": "descending",
                "start_datetime": "2020-03-25T16:57:28.547645Z",
                "updated": "2020-05-19T09:45:12Z"
            },
            "stac_version": "1.0.0-beta.1",
            "type": "Feature"
        },
        {
            "assets": {
                "thumbnail-json": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds23179.default.results/frame_1/ICEYE_X5_THUMBNAIL_SM_23179_20200305T012203.json?Expires=1733325760&Signature=ZGs8mRwSbVKOvpeaeE9meJeQyC0kknMoFxX4Fu0deYKGtKVWTlqvkWEpg~ywdMvNW-V3UgydM7mqIIfnQZ0hnRggQelvpQO3HVB7rbZfXL83mo93baplA-1KDNWsft9S0GDziQThTMnqVUiU0FwNtzf1EzTOa5lEEmcETTR4wfsBIZoiuVWuHYZ6HEJP9U51GWPjkkEBnsFSlxnavPjLUOY~8D8s4hHmjZuEiqu8lt5dS9JmhK-GUPNpJvN0BP4xXGc0-yq5lnnqj~D8KLn~nesotavprUbb90SRLNHUiHAS8wIT6M8PvDVxPVSBTWJG7XBJgtrRdmRDCDn0UiGs2g__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail json file",
                    "type": "application/json",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-kml": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds23179.default.results/frame_1/ICEYE_X5_THUMBNAIL_SM_23179_20200305T012203.kml?Expires=1733325760&Signature=RJyHFSxT256QUbvzBgMyJhX662K66ZUJvLoowAIDlF4BDBxRzzHGv0aq0rrzMRuqPPFYQa~ViyfIym9dRDhrWTX3mkqO9d2-~dWwAQyA5ABQjo63tg7xkyjmxG2GYyzhTlEB2dHhQWxH4pmp793BhHeAtC75-7AUU1Htw~8DGMs58JCxKYIKnEZIJV3QffLTdZgq-NMIlMlriHVPcm8FRyvQsohjlVrPlpkiggHvUZEtcLPjtDMBx2kh56~mKxAR~ILnzQJYRmvATi2IFQyUXfXD3BHDw6DOXnFOW8Ib98jpvid2yknkJR5Hz3-xaJ5P2AhoYtybCKBCBo8roGjDsQ__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail metadata file",
                    "type": "application/vnd.google-earth.kml+xml",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-png": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds23179.default.results/frame_1/ICEYE_X5_THUMBNAIL_SM_23179_20200305T012203.png?Expires=1733325760&Signature=hyBBGb9m87qf5wEZ0tABYBCtTuFaWxPPoIZB8QsuEAW-~kT2WmFa~xFPws6poeXuqXskr~QGwYTu0CZVtfVOgwlBkbiV8URJACKhUbWJPwah7BdL6NuoNGlBOYmsR0osC-xKfVvC1hHqLljubLY776a1zmp8JPSg~PRi6V2SdNrDJQArSZzencnctP5vHstauFzoIk7ZzQlbF7cTWssDjcG7obIQ9bSJajvwQQx4vynV8b~0MC6R987DFqu1RtMR5nYAT-jHQ-KuW1Qr20UY86~2fNo0Izrb-79JVzjZb86UVhbX3lxPRQndm7pJfyN-P6lWQDSN9q~vrQptWmrPeA__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail png file",
                    "type": "image/png",
                    "roles": [
                        "thumbnail"
                    ],
                    "coordinates": {
                        "top_left": [ 24.88545, 60.21952 ],
                        "top_right": [ 24.98545, 60.21952 ],
                        "bottom_left": [ 24.88545, 60.11952 ],
                        "bottom_right": [ 24.98545, 60.11952 ]
                    }
                }
            },
            "bbox": [
                23.107985,
                -0.82674634,
                23.579271,
                -0.15896763
            ],
            "collection": "",
            "geometry": {
                "coordinates": [
                    [
                        [
                            23.107985,
                            -0.75297856
                        ],
                        [
                            23.468819,
                            -0.82674634
                        ],
                        [
                            23.579271,
                            -0.23241009
                        ],
                        [
                            23.219711,
                            -0.15896763
                        ],
                        [
                            23.107985,
                            -0.75297856
                        ]
                    ]
                ],
                "type": "Polygon"
            },
            "id": "fff04c40-f030-5f4a-b985-2afd89c4acb9",
            "properties": {
                "created": "2020-04-06T01:22:14Z",
                "end_datetime": "2020-03-05T01:22:13.923267Z",
                "frame_id": "23179_1",
                "iceye:acquisition_mode": "stripmap",
                "iceye:azimuth_resolution": 0,
                "iceye:chirp_bandwidth": 300000000,
                "iceye:data_orientation": "native",
                "iceye:incidence_center": 0,
                "iceye:incidence_far": 0,
                "iceye:incidence_near": 0,
                "iceye:range_resolution_center": 0,
                "iceye:range_resolution_far": 0,
                "iceye:range_resolution_near": 0,
                "iceye:satellite_look_angle": 11.2,
                "iceye:processing_mode": "SM",
                "sar:frequency_band": "X",
                "sar:looks_azimuth": 1,
                "sar:looks_range": 1,
                "sar:observation_direction": "right",
                "sar:polarizations": [
                    "VV"
                ],
                "sar:product_type": "GRD",
                "sat:orbit_state": "descending",
                "start_datetime": "2020-03-05T01:22:03.926775Z",
                "updated": "2020-04-06T01:22:14Z"
            },
            "stac_version": "1.0.0-beta.1",
            "type": "Feature"
        },
        {
            "assets": {
                "thumbnail-json": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds69117.qa-auto-ci-processing-request-run-07BMPN-u55g65.results/frame_1/ICEYE_X7_THUMBNAIL_SM_69117_20210714T232339.json?Expires=1733325760&Signature=m-r9-RIZdY~e8j7OJREgRHV7VpGDRPbFrTuoWQf8ZD0smSginIannfVFdB1WeE72dJ9FZBYkazMo~BnHv9B2lQCR7DelASxbI6JzmGou9HbxkXpLRZgThyKZLp3mRLrtoU3yZj4tj~qIEi2TWqZgW4B~mS1qaN9SAT28kRXOsqkiDJhV1YTnFEjq2VshW0AjGnayBzamZDhH0q94cXWjVcqNlg4eDIjlwkjHaTRcOGYG0hBkjWcBia~vAOQYCVcNL7z0xh~XNKEET33MJaYpD3A3fDrpj-hHYHZrJj5N9MC-PR0JE2ek1GJb6eMRb~qrFW9lUdJxnaJngo1tPc3tJQ__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail json file",
                    "type": "application/json",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-kml": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds69117.qa-auto-ci-processing-request-run-07BMPN-u55g65.results/frame_1/ICEYE_X7_THUMBNAIL_SM_69117_20210714T232339.kml?Expires=1733325760&Signature=d6HuzeQ9N2HMwrRMBx3s~NJKE7PWkim4fonhltD9pnezUgkHi7ma6m1y4X9RmRD9VSxb6hn7mRcQPKJo6eLj8yLCgplU6mY~iZFKWSuxkX8SbfgR0O2f~ZqMT7VuGXHMgw5VI08G7kYgUOhWjaqpVQnq3K~Zbdj8YUSkPyJZYfC37-JWyFalGJx2W9s-zOSIvNiP7xygPaGuiQ0RPTeXnMa6GArIX7hFtzrCpf-xxLd-zgvVGmnMixyw1~yeozezyeHERB4NErIWyGs3MPHpLOqHfgfFu-p-gYXMnYTMLXSG~~H-8yMpCjwDrzf~Nx4c5oqTS51BtoYGGwQ49r0SjQ__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail metadata file",
                    "type": "application/vnd.google-earth.kml+xml",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-png": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds69117.qa-auto-ci-processing-request-run-07BMPN-u55g65.results/frame_1/ICEYE_X7_THUMBNAIL_SM_69117_20210714T232339.png?Expires=1733325760&Signature=hqtt73Pu2n1usuCKQgbabp9wQrdyCMYnOpkjamLFaFQQ81HSsyWFiqWHe-ukjYOP9YoZldKAp4tbuoQICju58rkOfqyzLcFJqYpcEeCi5DRYYkw10Lr~o9pQkzHyeuA0Gx4aceHEO-04plA5ScFAg6WfMOAwLoujC75fxzGXOy5-lY4v8Ul8bF5OhCiXqaat3iEr4e3FT0o5ZGr3hXGxy0g1HOX75a0mqsNXX~LSpkg28wOwRt2A~INLKdmYzK53humJaIHhbzSbBrHnygc3C8xAaR8Le54~i9jXdGWAa9J3EcAXb7SEJHyL2J2zfohCcE4KLFL7yOVwjgoqHz~4Gw__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail png file",
                    "type": "image/png",
                    "roles": [
                        "thumbnail"
                    ],
                    "coordinates": {
                        "top_left": [ 24.88545, 60.21952 ],
                        "top_right": [ 24.98545, 60.21952 ],
                        "bottom_left": [ 24.88545, 60.11952 ],
                        "bottom_right": [ 24.98545, 60.11952 ]
                    }
                }
            },
            "bbox": [
                26.331686,
                0.21476969,
                26.852476,
                0.88308007
            ],
            "collection": "",
            "geometry": {
                "coordinates": [
                    [
                        [
                            26.331686,
                            0.296873
                        ],
                        [
                            26.73464,
                            0.21476969
                        ],
                        [
                            26.852476,
                            0.80193895
                        ],
                        [
                            26.453398,
                            0.88308007
                        ],
                        [
                            26.331686,
                            0.296873
                        ]
                    ]
                ],
                "type": "Polygon"
            },
            "id": "fff214a7-51bd-585e-83c6-05fa290d0cc8",
            "properties": {
                "created": "2022-10-27T00:21:21.538Z",
                "end_datetime": "2021-07-14T23:23:49.746399Z",
                "frame_id": "69117_1",
                "iceye:acquisition_mode": "stripmap",
                "iceye:azimuth_resolution": 2.65,
                "iceye:chirp_bandwidth": 60000000,
                "iceye:data_orientation": "native",
                "iceye:incidence_center": 25.37034,
                "iceye:incidence_far": 27.325665,
                "iceye:incidence_near": 23.197313,
                "iceye:range_resolution_center": 5.83,
                "iceye:range_resolution_far": 5.44,
                "iceye:range_resolution_near": 6.34,
                "iceye:satellite_look_angle": 23.1,
                "iceye:processing_mode": "SM",
                "sar:frequency_band": "X",
                "sar:looks_azimuth": 1,
                "sar:looks_range": 1,
                "sar:observation_direction": "right",
                "sar:polarizations": [
                    "VV"
                ],
                "sar:product_type": "SLC",
                "sat:orbit_state": "descending",
                "start_datetime": "2021-07-14T23:23:39.750121Z",
                "updated": "2022-10-27T00:21:21.538Z"
            },
            "stac_version": "1.0.0-beta.1",
            "type": "Feature"
        },
        {
            "assets": {
                "thumbnail-json": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds1722970.default-elseus.results/frame_2/ICEYE_X11_THUMBNAIL_SM_1722970_20230105T094311.json?Expires=1733325760&Signature=EaNF5LC~jy3EiCwwJhHRSMuku1~AS0eKmCnxARkXMETDkDJeZgFcl-QzznENRZBAIGAqD8nQsjEAFfzC5vfpBM4pIxwJ5ZLmkwWGpO1L1b5DMVTeY0uP0bsya11NvYI6t8mCIBc92XgdgFg44zUcjqo~7~M1-jOHFYgNrjp3fAeT0HW38tiDPtyhPmVw9Ey5yjGZ8dvEG6Kw8kMDRfYbyu5QO7WdVnkScj8h0hhDj~8~YiDk2WIJvTSI0EkaFSjJDCPe-JuCl25RVpqVRcXBPW6O04edmVU59R2H8qPTX5AJaCiu9LiAwFrOaJaJ9p6rSUFP9w8mvkqoLNvs6MjTnQ__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail json file",
                    "type": "application/json",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-kml": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds1722970.default-elseus.results/frame_2/ICEYE_X11_THUMBNAIL_SM_1722970_20230105T094311.kml?Expires=1733325760&Signature=CFod08i7SlWY6gBg2WUeDye-EM-mqoUYn~9Ag8vWIgJ1T2xVwB2xeqc0hK8Aaj1WdWGcuvCFEI69TML3d3IOC3va5IU3TcIZSnvoReujt2js07cKmE08Dtiz2PXgmkqTffOgJg-dJ~0FOZaZ-RocLxTwmy9XXq~ulkwJ1qp79i2c7yf9Fd3~sDbLMHhUREten1iFPqwur2l3SLYTborLAX5NTNi-WQ2XKNmfS9K9l94EMrV1o-0ldoBxXqjt7QNJ3by~PBor8I72~avRK0PzPqOx-cFhbBT6N9zgzbNyn30sry2x8TgC3mxYjqMFW1swqLgzTfCDqjXee11OWQK8Zg__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail metadata file",
                    "type": "application/vnd.google-earth.kml+xml",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-png": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds1722970.default-elseus.results/frame_2/ICEYE_X11_THUMBNAIL_SM_1722970_20230105T094311.png?Expires=1733325760&Signature=BVgdIYVhUrfyCZxWJYcp38effP~sqZuiyzseqVoBgcUpTywnOlaIOfyu-7U1t5ZzzuJvbg0h7xEy6HxkMaz-0Xg5iS0Dh1WIxo6b4Y36fUDKeYxWBhX0VhksqpP8yYqxNEE5iOqWCG8eDqG1t9lZGk~LrEsxJZe478Kl3bDB-Ps9B5SDDAuuBRZzpZtR9yRG4GSzIO7T4SazUimM1eCFYhizr8Pduwk1AiE7Gl-k6VrqF2VILM8~V9EGd-Tz3gcYoHwSAsxfA3JKZnwpa4n5qMUN1Yx7c6PP4i1RKg14r7VxCfRUbHTCFQYbeUqOM4-pxgzQyYPpHpGbtDCT~Yer7w__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail png file",
                    "type": "image/png",
                    "roles": [
                        "thumbnail"
                    ],
                    "coordinates": {
                        "top_left": [ 24.88545, 60.21952 ],
                        "top_right": [ 24.98545, 60.21952 ],
                        "bottom_left": [ 24.88545, 60.11952 ],
                        "bottom_right": [ 24.98545, 60.11952 ]
                    }
                }
            },
            "bbox": [
                -120.6063,
                36.62027,
                -120.06458,
                37.342075
            ],
            "collection": "",
            "geometry": {
                "coordinates": [
                    [
                        [
                            -120.391335,
                            36.62027
                        ],
                        [
                            -120.06458,
                            36.689438
                        ],
                        [
                            -120.277504,
                            37.342075
                        ],
                        [
                            -120.6063,
                            37.27253
                        ],
                        [
                            -120.391335,
                            36.62027
                        ]
                    ]
                ],
                "type": "Polygon"
            },
            "id": "ffed8a95-7ad2-53c3-a4e9-15c6cba5b8fa",
            "properties": {
                "created": "2023-02-09T17:37:07.466Z",
                "end_datetime": "2023-01-05T09:43:22.796112Z",
                "frame_id": "1722970_2",
                "iceye:acquisition_mode": "stripmap",
                "iceye:azimuth_resolution": 2.65,
                "iceye:chirp_bandwidth": 106000000,
                "iceye:data_orientation": "native",
                "iceye:incidence_center": 36.461697,
                "iceye:incidence_far": 37.69337,
                "iceye:incidence_near": 35.19593,
                "iceye:range_resolution_center": 2.5,
                "iceye:range_resolution_far": 2.43,
                "iceye:range_resolution_near": 2.57,
                "iceye:satellite_look_angle": 33.41,
                "iceye:processing_mode": "SM",
                "sar:frequency_band": "X",
                "sar:looks_azimuth": 1,
                "sar:looks_range": 1,
                "sar:observation_direction": "left",
                "sar:polarizations": [
                    "VV"
                ],
                "sar:product_type": "GRD",
                "sat:orbit_state": "ascending",
                "start_datetime": "2023-01-05T09:43:11.757825Z",
                "updated": "2023-02-09T17:37:07.466Z"
            },
            "stac_version": "1.0.0-beta.1",
            "type": "Feature"
        },
        {
            "assets": {
                "thumbnail-json": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds69117.qa-auto-ci-processing-request-run-E1AXEW-4wsrza.results/frame_1/ICEYE_X7_THUMBNAIL_SM_69117_20210714T232339.json?Expires=1733325760&Signature=WPHwWVnaCUCMyRBgsazTv4j0qbRlheAgyBgp5uHTDKjQFXjdsB4jVh~ZlooLFgBWNPEEr~-p9rBiBQLmV7RRQwuPivo79C03GWUjHiIpbsNJVB32teXd-yBlgWr87il1dYAjtV6i25yLg~cjYco~rJWRUtzL8C3tKQfv6AqAaLL9TIp6gUzWvpnG7Oze3S6I8Pi5ene4Ea7R8t33Zgqs1mwLH-hzcOlVwWng-iN0xVFMUq7uz2Ay8BCS7bOKAr67AfxhGTN2Vq0ZnmIqfPEjI2WDq1s3SyYdYtDhdexl8d~XT1B-SnCIkDNeOxFsSgvJ47a5qd7CAM0Y7EfeYGX61w__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail json file",
                    "type": "application/json",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-kml": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds69117.qa-auto-ci-processing-request-run-E1AXEW-4wsrza.results/frame_1/ICEYE_X7_THUMBNAIL_SM_69117_20210714T232339.kml?Expires=1733325760&Signature=MN54eNGLmUiLD4oPo~j5kggaoqGgPraZ5BWhPXiZxEqLAQikzFpX99fe6~4avrNxJ-DpDEa7stZC7cjsKlR3OadnSsCJ6fPw69J~HMFwlJKVyhWwCAWoVPEd48hWsrXDcmpJ~CMf5~fmLMqyNRLV4qQPTlzjvxkMFZ4R14y-ccv4RBtQ21oWgyC1pBQziR924tBdro4CP858jH3hox83Ku0M3NR486GJhoSMrVDBwnVnDGa4bQ~85u8Vb-sBP2XrBmaIxyXeetSsDG53d3uhR1aPlT1rjpTJmCdyG1aov18d955mvOJ4yTd6So700~eKM7w66ZB-FntCLMpIAfeKnQ__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail metadata file",
                    "type": "application/vnd.google-earth.kml+xml",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-png": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds69117.qa-auto-ci-processing-request-run-E1AXEW-4wsrza.results/frame_1/ICEYE_X7_THUMBNAIL_SM_69117_20210714T232339.png?Expires=1733325760&Signature=lFQ0qbDFQbcwCzqeNK7HbTRnNnWyZ845JNFaUaJUbL3Plmk5r2iP4nXFMn3DPGTCT93-0p~Q8xdVkk3217A4iNOaDXpXCsn80z0f0zqLCNoRTpy5hkz2JZsM-3ITq25jECD~PoKqbLVDPDX5LKWS6DotCvjZBjW-0OK~WLTOBnMCK02Je79OTrju6u2zp5eKqEsu8KyXMuY~CwM4Xt-0W2nMsirjjDi8VscehxFwtoA2ujuV27ph0g~hFmXzUFEWWwqfRrpD0UnumWcP8Go31BJiDubVJ4PaHABx4X982W-W8J8Prk78rSgfltzFkKTq3mG4dmxKOkNxKCgL4q3CcA__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail png file",
                    "type": "image/png",
                    "roles": [
                        "thumbnail"
                    ],
                    "coordinates": {
                        "top_left": [ 24.88545, 60.21952 ],
                        "top_right": [ 24.98545, 60.21952 ],
                        "bottom_left": [ 24.88545, 60.11952 ],
                        "bottom_right": [ 24.98545, 60.11952 ]
                    }
                }
            },
            "bbox": [
                26.331686,
                0.21476969,
                26.852476,
                0.88308007
            ],
            "collection": "",
            "geometry": {
                "coordinates": [
                    [
                        [
                            26.331686,
                            0.296873
                        ],
                        [
                            26.73464,
                            0.21476969
                        ],
                        [
                            26.852476,
                            0.80193895
                        ],
                        [
                            26.453398,
                            0.88308007
                        ],
                        [
                            26.331686,
                            0.296873
                        ]
                    ]
                ],
                "type": "Polygon"
            },
            "id": "ffed4243-f40d-53c9-9f6c-5a24a0b714a9",
            "properties": {
                "created": "2022-10-31T08:49:05.993Z",
                "end_datetime": "2021-07-14T23:23:49.746399Z",
                "frame_id": "69117_1",
                "iceye:acquisition_mode": "stripmap",
                "iceye:azimuth_resolution": 2.65,
                "iceye:chirp_bandwidth": 60000000,
                "iceye:data_orientation": "native",
                "iceye:incidence_center": 25.37034,
                "iceye:incidence_far": 27.325665,
                "iceye:incidence_near": 23.197313,
                "iceye:range_resolution_center": 5.83,
                "iceye:range_resolution_far": 5.44,
                "iceye:range_resolution_near": 6.34,
                "iceye:satellite_look_angle": 23.1,
                "iceye:processing_mode": "SM",
                "sar:frequency_band": "X",
                "sar:looks_azimuth": 1,
                "sar:looks_range": 1,
                "sar:observation_direction": "right",
                "sar:polarizations": [
                    "VV"
                ],
                "sar:product_type": "SLC",
                "sat:orbit_state": "descending",
                "start_datetime": "2021-07-14T23:23:39.750121Z",
                "updated": "2022-10-31T08:49:05.993Z"
            },
            "stac_version": "1.0.0-beta.1",
            "type": "Feature"
        },
        {
            "assets": {
                "thumbnail-json": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds40526.default.results/frame_1/ICEYE_X4_THUMBNAIL_SM_40526_20210122T222702.json?Expires=1733325760&Signature=ONY~d6PyNv~ms0QNPZEvTUnxXGEw1qBzouV7-IbDmXevDiqcbrCfawDCteHcVsEcXSj7MGFjSEfcb-DxfWA-UIrKqEm8PsNkokyxvdTYC2wPFC6mHdHcI9QllkrFI8hjgoamqxtfLPXGoiTl0yTcdykJjPsnIIhsFcFN-amCzkhA87Taam8J-n9M7TgnfjAUJZtPgEzQ6hstzVZnT57~j6gjSINOpPmcU6EzLQXuxIoffzVv0XJvqs-rqDoNiQcGcloFF6Wr-JUQufGtPucjsKecAWA6ULde11UNRF9-pUi6nYHuI-zmwPBllJAMWZU7UtgTz9gR3~Bz1BflK~BZ8w__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail json file",
                    "type": "application/json",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-kml": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds40526.default.results/frame_1/ICEYE_X4_THUMBNAIL_SM_40526_20210122T222702.kml?Expires=1733325760&Signature=myz5HZW0Vkh7wACy29sdFfy4BAXPJYyZLnTiGCZy9cNa2BVbE0Kfv7kh6BAFBA8Ti885Dp0Q-ETGWGD0dwZMZ6IRxj6ankGmOSiiVdGNyR4WnsudniVb0I1BK5tY5ieI2UqqrktWqfbzn6mzZ3bYyGQiwTiDso9hLnD5Qo3LvvPjW66cvFgywOyf5SVOhHCdHcu7cCJOnpNHLd08~gcZtD3bVgvO0CYvXsYESqPrHzP00jrnBgJZqgWcAfuVBTQvG6SIoTmkL~dOwBvNNzkNxFbsAyccb-94CBRrPFoSP~xGCJcOrrKt5PbqTFDvvsmsfx1oPxEL-9hyOWyRv3Sm1Q__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail metadata file",
                    "type": "application/vnd.google-earth.kml+xml",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-png": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds40526.default.results/frame_1/ICEYE_X4_THUMBNAIL_SM_40526_20210122T222702.png?Expires=1733325760&Signature=OoB8QGn50Yu4fYT~dC9kQsqq-Gw~SzPHUe1EeTSAXp9LSjKTutANLhONH0ag6tESlinCZf69d-2tXykoUQ4hwO0Ep~gqRtJxDcXkxTZBIxxWD7A2~Udwk-6h7YixGZg4cgKTzFRwjDayg3EOI1mEWhryp3cpBM~Q9HQtan3X0cYPCHI~A7IwGrgyTH5GSzboxzRdJ4il~qE7wkZ7O9Hfli4U6ZvSBwhzVDjGEua4G7zMgn3gJH9vkP5F2PJNGyfCm0seO9RZH5mZ90t0NDANcB1k9qGZ2pl3W2pSXLgkdlwcz8H3sGpn3KWZKkTTzXGgo8HcnB1N4pJctf1N0oVkMg__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail png file",
                    "type": "image/png",
                    "roles": [
                        "thumbnail"
                    ],
                    "coordinates": {
                        "top_left": [ 24.88545, 60.21952 ],
                        "top_right": [ 24.98545, 60.21952 ],
                        "bottom_left": [ 24.88545, 60.11952 ],
                        "bottom_right": [ 24.98545, 60.11952 ]
                    }
                }
            },
            "bbox": [
                -118.50265,
                34.463573,
                -117.821106,
                35.13944
            ],
            "collection": "",
            "geometry": {
                "coordinates": [
                    [
                        [
                            -118.29751,
                            34.463573
                        ],
                        [
                            -117.821106,
                            34.55904
                        ],
                        [
                            -117.98637,
                            35.13944
                        ],
                        [
                            -118.50265,
                            35.036114
                        ],
                        [
                            -118.29751,
                            34.463573
                        ]
                    ]
                ],
                "type": "Polygon"
            },
            "id": "fff1b3d2-5a86-5b38-8509-3c9b26ac10a6",
            "properties": {
                "created": "2021-05-18T04:45:27Z",
                "end_datetime": "2021-01-22T22:27:12.738917Z",
                "frame_id": "40526_1",
                "iceye:acquisition_mode": "stripmap",
                "iceye:azimuth_resolution": 0,
                "iceye:chirp_bandwidth": 214000000,
                "iceye:data_orientation": "native",
                "iceye:incidence_center": 0,
                "iceye:incidence_far": 0,
                "iceye:incidence_near": 0,
                "iceye:range_resolution_center": 0,
                "iceye:range_resolution_far": 0,
                "iceye:range_resolution_near": 0,
                "iceye:satellite_look_angle": 16.91,
                "iceye:processing_mode": "SM",
                "sar:frequency_band": "X",
                "sar:looks_azimuth": 1,
                "sar:looks_range": 1,
                "sar:observation_direction": "left",
                "sar:polarizations": [
                    "VV"
                ],
                "sar:product_type": "SLC",
                "sat:orbit_state": "ascending",
                "start_datetime": "2021-01-22T22:27:02.742989Z",
                "updated": "2021-05-18T04:45:27Z"
            },
            "stac_version": "1.0.0-beta.1",
            "type": "Feature"
        },
        {
            "assets": {
                "thumbnail-json": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds69117.qa-auto-ci-processing-request-run-OX0VS3-ecqk2j.results/frame_1/ICEYE_X7_THUMBNAIL_SM_69117_20210714T232339.json?Expires=1733325760&Signature=ZxR0mchIKsQaS9XJGkdavRVZR~cdTpH0~i-vp4jsEt9OqhDfs5LpZGDX8LqUSGES1-rzNXr7yDHtJeQnQIl16-~ZeMyy6CQTL4cFYLyNLoYK4oCczia-SVkZqMzX7Scsp57-sXL4I9GoiqwsokaYcqPTlPB2OXQ5CUEcbHuzoz-lakwQWguoUrqtwCKzNE8CNvxvtcIz6SnLFFl6hF3X73kg2uvt~MQpQCE6vqctAFAWgpL1nnhWHik-9JkZW2V86kk~MVAHPpnpT1ZrfMUT8yoHJMDbIk00~-sPXEpNvTG9laW6MyUUEn9pxTFw7qunYYfPPZmC5dcAq4mOtIMnpQ__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail json file",
                    "type": "application/json",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-kml": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds69117.qa-auto-ci-processing-request-run-OX0VS3-ecqk2j.results/frame_1/ICEYE_X7_THUMBNAIL_SM_69117_20210714T232339.kml?Expires=1733325760&Signature=KHb4Sg3hmNRrPAR07r~VW~jRQLzwaElphQn0kgBrrl03aogRpR7WPwewIwjOORQbypDhXCNM~4jkBeiMZYPydA~e9hFWv5VjZiqUc07tWpi3wjkDDbOjS5RG96vSUsXCr4cM2-OdCFIpIxTZ3fidusd76Mr5IPhVf~5yAKNdzR59GhOaP4UM7G2AoOL8vyKrTjkIivtX6c1~qFUGdwzynaOtzHanii4mZjhQFy3MKK3LLDKqcoP3K6SmapPR59WaHlkxeEdyhNvvgZ3EywhFBrqIVHzVEmDY3s0dn7uRS6eGBZtHAGmmWBuQOoad4T0o3rmnD~f-umh4xFxTXZ5DtA__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail metadata file",
                    "type": "application/vnd.google-earth.kml+xml",
                    "roles": [
                        "metadata"
                    ]
                },
                "thumbnail-png": {
                    "href": "https://dq0r942flkvs4.cloudfront.net/ds69117.qa-auto-ci-processing-request-run-OX0VS3-ecqk2j.results/frame_1/ICEYE_X7_THUMBNAIL_SM_69117_20210714T232339.png?Expires=1733325760&Signature=kPNb0YzRoZ5~3DUmYMtDdeKKHT~8wqz-Ju7oOm19k5W~Z3R7KVIbpURmUXtjeoLg0Zb3hW2pu8SSoR3ldClSZLwUmwRxap7vMREueq2fSf5hk9u3y7sz7Gxe~N7nIaT-~haSqPpdKd9SOZgIyn3IRwuAW3AD7zr59Ooz83LU6okx0TXzd2MpBe2wOmFV3XDGzhQByuhFurDqE6ZK5sPfJ6tLG~JW5tbMn17MZ~bD-l-1NcXJF3yxOe3lcRJDoqvm~mk2ojSEBW5vtVncteoPdRfr-YUxKPCQzHGmy0d6JRJ7xI9C8E~0EjfNlUVztYC0aUnFNjZzaftXxXlQnoNlFQ__&Key-Pair-Id=K2IFNO15PE7RSD",
                    "title": "Thumbnail png file",
                    "type": "image/png",
                    "roles": [
                        "thumbnail"
                    ],
                    "coordinates": {
                        "top_left": [ 24.88545, 60.21952 ],
                        "top_right": [ 24.98545, 60.21952 ],
                        "bottom_left": [ 24.88545, 60.11952 ],
                        "bottom_right": [ 24.98545, 60.11952 ]
                    }
                }
            },
            "bbox": [
                26.332884,
                0.22220685,
                26.854233,
                0.89542127
            ],
            "collection": "",
            "geometry": {
                "coordinates": [
                    [
                        [
                            26.332884,
                            0.30421793
                        ],
                        [
                            26.7354,
                            0.22220685
                        ],
                        [
                            26.854233,
                            0.81427634
                        ],
                        [
                            26.455114,
                            0.89542127
                        ],
                        [
                            26.332884,
                            0.30421793
                        ]
                    ]
                ],
                "type": "Polygon"
            },
            "id": "fffa722d-f9c7-5896-beb8-8fb40a789420",
            "properties": {
                "created": "2023-04-06T12:23:36.573Z",
                "end_datetime": "2021-07-14T23:23:49.745315Z",
                "frame_id": "69117_1",
                "iceye:acquisition_mode": "stripmap",
                "iceye:azimuth_resolution": 2.99,
                "iceye:chirp_bandwidth": 60000000,
                "iceye:data_orientation": "native",
                "iceye:incidence_center": 25.368923,
                "iceye:incidence_far": 27.324362,
                "iceye:incidence_near": 23.195747,
                "iceye:range_resolution_center": 5.83,
                "iceye:range_resolution_far": 5.44,
                "iceye:range_resolution_near": 6.34,
                "iceye:satellite_look_angle": 23.1,
                "iceye:processing_mode": "SM",
                "sar:frequency_band": "X",
                "sar:looks_azimuth": 1,
                "sar:looks_range": 1,
                "sar:observation_direction": "right",
                "sar:polarizations": [
                    "VV"
                ],
                "sar:product_type": "SLC",
                "sat:orbit_state": "descending",
                "start_datetime": "2021-07-14T23:23:39.750121Z",
                "updated": "2023-04-06T12:23:36.573Z"
            },
            "stac_version": "1.0.0-beta.1",
            "type": "Feature"
        }
    ]
}